<% cu = current_user -%>
	<div class="blockform">
		<h2><span><%=h @user.username %> - Administration</span></h2>
		<div class="box">
			<form id="profile7" method="post" action="<%= url_for :action => 'admin', :id => @user.id  %>">
				<div class="inform">
				<input type="hidden" name="form_sent" value="1" />
					<fieldset>
<% if cu.is_mod? -%>
						<legend>Ban user</legend>
						<div class="infldset">
							<p><input type="submit" name="ban" value="Ban user" /></p>
						</div>
					</fieldset>
				</div>
<% else
    if cu.id != @user.id
-%>
						<legend>Choose user group</legend>
						<div class="infldset">
							<select id="group_id" name="group_id">
<%
	selected_group = @user.group.is_a?(Group) ? @user.group.id : Settings.default_user_group
	for g in @groups
-%>
								<option value="<%=g.id%>"<%= selected = ' selected="selected"' if selected_group == g.id %>><%=h g.g_title%></option>
<%	end -%>
							</select>
							<input type="submit" name="update_group_membership" value="Save" />
						</div>
					</fieldset>
				</div>
				<div class="inform">
					<fieldset>
<% end -%>
						<legend>Delete (administrators only) or ban user</legend>
						<div class="infldset">
<% unless @user.is_admin? -%>
							<input type="submit" name="delete_user" value="Delete user" />&nbsp;&nbsp;
<% end -%>
							<input type="submit" name="ban" value="Ban user" />
						</div>
					</fieldset>
				</div>
<% if @forums.is_a?(Array) -%>
				<div class="inform">
					<fieldset>
						<legend>Set moderator access</legend>
						<div class="infldset">
							<p>Choose what forums this user should be allowed to moderate. Note: This only applies to moderators. Administrators always have full permissions in all forums.</p>
<%
	cur_category = 0;
	for f in @forums
		if f.category.id != cur_category
-%>
<%    if cur_category != 0 -%>
								</div>
							</div>
<%    end -%>
							<div class="conl">
								<p><strong><%=h f.category.cat_name %></strong></p>
								<div class="rbox">
<%
			cur_category = f.category.id
		end
-%>
									<label><input type="checkbox" name="moderator_in[]" value="<%= f.id %>" <%= ' checked="checked"' if f.moderators.is_a?(Hash) and f.moderators.key? @user.id %>/><%=h f.forum_name %><br /></label>
<% end -%>
								</div>
							</div>
							<br class="clearb" /><input type="submit" name="update_forums" value="Update forums" />
						</div>
					</fieldset>
				</div>
<% end -%>
<% end -%>
			</form>
		</div>
	</div>
